LDMUD(1)

NAME
LDMud - ldmud

SYNOPSIS
driver [options] [<portnumber>...]

DESCRIPTION
LDMud 3.2.13 - a LPMud Game Driver.

Release: Build 2305 (development); 2006-06-12 Compiled: Nov 5 2006 00:26:37

Options are:

--args <filename>

    Read the options from <filename> as if they were given on the commandline.

-P|--inherit <fd-number>

    Inherit filedescriptor <fd-number> from the parent process as socket to listen for connections.

-u|--udp <portnumber>

    Specify the <portnumber> for the UDP port, overriding the compiled-in default.

-D|--define <macro>[=<text>]

    Add <macro> (optionally to be expanded to <text>) to the list of predefined macros known by the LPC compiler.

-E|--eval-cost <ticks>

    Set the number of <ticks> available for one evaluation thread.

-M|--master <filename>

    Use <filename> for the master object.

-m|--mudlib <pathname>

    Use <pathname> as the top directory of the mudlib.

--debug-file <filename>

    Log all debug output in <filename> instead of <host>.debug.log .

--hostname <name>

    Use <name> as hostname instead of what the system says.

--hostaddr <addr>

    Use <addr> as address of this machine, instead of what the system says. In particular this address will be used to open the driver ports.

--compat

--no-compat

    Select the mode (compat or plain) of the driver. Note that this choice does not affect the default name of the master object.

-d|--debug

    Generate debug output; repeat the argument for even more output.

-c|--list-compiles

    List the name of every compiled file on stderr.

-e|--no-preload

    Pass a non-zero argument (the number of occurences of this option) to master->preload(), which usually inhibits all preloads of castles and other objects.

--erq <filename>

--erq "<filename> <erq arguments>"

    Use <filename> instead of 'erq' as the name of the ERQ executable. If the name starts with a '/', it is take to be an absolute pathname, otherwise it is interpreted relative to /usr/local/mud/bin. If not specified, 'erq' is used as executable name. With the proper use of quotes it is legal to pass arbitrary arguments to the erq, however, these may not contain spaces themselves.

-N|--no-erq

    Don't start the erq demon (if it would be started at all).

-t|--no-heart

    Disable heartbeats and call_outs.

-f|--funcall <word>

    The lfun master->flag() is called with <word> as argument before the gamedriver accepts network connections.

--cleanup-time <time>

    The idle time in seconds for an object before the driver tries to clean it up. This time should be substantially higher than the reset time. A time <= 0 disables the cleanup mechanism.

--reset-time <time>

    The time in seconds for an object before it is reset. A time <= 0 disables the reset mechanism.

--max-array <size>

    The maximum number of elements an array can hold. Set to 0, arrays of any size are allowed.

--max-callouts <size>

    The maximum number of callouts at one time. Set to 0, any number of callouts is allowed.

--max-mapping <size>

    The maximum number of elements a mapping can hold. Set to 0, mappings of any size are allowed.

--max-bytes <size>

    The maximum number of bytes one read_bytes()/write_bytes() call can handle. Set to 0, reads and writes of any size are allowed.

--max-file <size>

    The maximum number of bytes one read_file()/write_file() call can handle. Set to 0, reads and writes of any size are allowed.

--max-thread-pending <size>

    The maximum number of bytes to be kept pending by the socket write thread. Set to 0, an unlimited amount of data can be kept pending. (Ignored since pthreads are not supported)

-s <time>
    | --swap-time <time>

-s v<time> | --swap-variables <time>

    Time in seconds before an object (or its variables) are swapped out. A time less or equal 0 disables swapping.

-s f<name> | --swap-file <name>

    Swap into file <name> instead of LP_SWAP.<host> .

-s c | --swap-compact

    Reuse free space in the swap file immediately.

--max-malloc <size>

    Restrict total memory allocations to <size> bytes. A <size> of 0 or 'unlimited' removes any restriction.

--min-malloc <size>

--min-small-malloc <size>

    Determine the sizes for the explicite initial large resp. small chunk allocation. A size of 0 disables the explicite initial allocations.

-r u<size> | --reserve-user <size>

-r m<size> | --reserve-master <size>

-r s<size> | --reserve-system <size>

    Reserve <size> amount of memory for user/master/system allocations to be held until main memory runs out.

--filename-spaces

--no-filename-spaces

    Allow/disallow the use of spaces in filenames.

--strict-euids

--no-strict-euids

    Enforce/don't enforce the proper use of euids.

--wizlist-file <filename>

--no-wizlist-file

    Read and save the wizlist in the named file (always interpreted relative the mudlib); resp. don't read or save the wizlist.

--pidfile <filename>

    Write the pid of the driver process into <filename>.

--gcollect-outfd <filename>|<num>

    Garbage collector output (like a log of all reclaimed memory blocks) is sent to <filename> (or inherited fd <num>) instead of stderr.

--tls-key <pathname>

    Use <pathname> as the x509 keyfile, default is 'key.pem'. If relative, <pathname> is interpreted relative to <mudlib>.

--tls-cert <pathname>

    Use <pathname> as the x509 certfile, default is 'cert.pem'. If relative, <pathname> is interpreted relative to <mudlib>.

--tls-trustfile <pathname>

    Use <pathname> as the filename holding your trusted PEM certificates. If relative, <pathname> is interpreted relative to <mudlib>.

--tls-trustdirectory <pathname>

    Use <pathname> as the directory where your trusted PEM certificates reside, default is '/etc/ssl/certs'. If relative, <pathname> is interpreted relative to <mudlib>.

--tls-crlfile <pathname>

    Use <pathname> as the filename holding your certificate revocation lists. If relative, <pathname> is interpreted relative to <mudlib>.

--tls-crldirectory <pathname>

    Use <pathname> as the directory where your certificate revocation lists reside. If relative, <pathname> is interpreted relative to <mudlib>.

--random-seed <num>

    Seed value for the random number generator. If not given, the driver chooses a seed value on its own.

--check-refcounts

    Every backend cycle, all refcounts in the system are checked. SLOW!

--check-state <lvl>

    Perform a regular simplistic check of the virtual machine according to <lvl>:

    = 0: no check = 1: once per backend loop = 2: at various points in the backend loop

--gobble-descriptors <num>

    <num> (more) filedescriptors are used up. You'll know when you need it.

--check-strings

    Every backend cycle, all shared strings in the system are checked. SLOW!

-V|--version

    Print the version of the driver, then exit.

--options

    Print the version and compilation options of the driver, then exit.

--longhelp

    Display this help and exit.

-h|-?|--help

    Display the short help text and exit.

Release: Build 2305 (development); 2006-06-12 Compiled: Nov 5 2006 00:26:37

AUTHOR
Maintained by Lars Duening (lars@bearnip.com).

REPORTING BUGS
Bug reports and feature suggestions are tracked online at http://mantis.bearnip.com/ .

COPYRIGHT
Copyright 1997-2004 by Lars Duening. LDMud is based on LPmud, which is Copyright 1989-1991 by Lars Pensj|, and, starting with version 3.1.2, Copyright 1991-1997 by Joern Rennecke. Source code herein refers to the source code, and any executables created from the same source code. All rights reserved. Permission is granted to use, extend and modify the source code provided subject to the restriction that the source code may not be used in any way whatsoever for monetary gain. LDMud contains additional code which are copyright by their respective authors - see the files COPYRIGHT and CREDITS for details.